using System;

namespace Prvi_zadatak_takmicenje
{
    class Program
    {
        static void Main(string[] args)
        {
            int A, B, C, max = 0;

            B = int.Parse(Console.ReadLine());
            while(B<0 || B> 500)
            {
                B = int.Parse(Console.ReadLine());
            }
            C = int.Parse(Console.ReadLine());
            while (C < 0 || C > 500)
            {
                C = int.Parse(Console.ReadLine());
            }

            if (B + C >= 256)
            {
                A = 0;
                Console.WriteLine(A);
            }

            if (B + C < 256)
            {
                max = Math.Max(B, C);
                A = 256 - max;
                Console.WriteLine(A);
            }


        }
    }
}